! This CESRV script is designed to correct
! the dispersion measurement of 8 Jan 2008 (681) 
! using all non-superconducting quads while
! maintaining the design phase function
! 24 April 2008   JAC
 l:4170_ASOL_2P5MA_20060213
 trans model data
 set data_is_from_model
 read e:[1]
 merit_data all
 veto eta 47e
 veto eta 23e
 veto vert 0:99
 veto hori hb01:hb06
 opt_vars all
n
n
 veto skew all
 veto sex all
 veto bpm_tilt all
 veto vert all
 veto hori all
! use quad 3w:3e
 use quad 10w:34w
 opt locked
 clip bottom 0.8
 clip top 10.0
 scale bottom 0.8
 scale top 10.0
 out gif 
yes



 set orbit_x_wgt(0:99)=0
 set orbit_y_wgt(0:99)=0
 set eta_x_wgt(0:99)=0.
 set eta_x_wgt(15:40)=200.
 set eta_y_wgt(0:99)=0
 set phase_x_wgt(15:40)=2.
 set phase_y_wgt(0:99)=2.
 set quad_k1_wgt(0:99)=1e0
 merit all
 sho data phase x 3
 sho data eta x 3
 limit off
 run

! plot model-design
 scale bottom 0.8
 scale top 10.
 out gif
yes
yes
 plot phase top
 scale top
 out gif
yes
no
Simultaneous phase/eta correction












